#include "Application.h"
#include "BoostLog.h"
#include "Configuration.h"
#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQuickStyle>
#include <QQuickWindow>

int main(int argc, char *argv[]) {
    using namespace Amass;
    boost::log::initialize("logs/app");
    LOG(info) << "Compiled on: " << __DATE__ << " " << __TIME__ << std::endl;
    LOG(info) << "Git commit ID: " << GIT_COMMIT_ID << std::endl;
    LOG(info) << "Program version: " << APP_VERSION << std::endl;

    auto app = Singleton<Application>::instance<Construct>(argc, argv);
    QCoreApplication::setOrganizationName("Reconova");
    QCoreApplication::setOrganizationDomain("reconova.com");
    QQuickStyle::setStyle("Material");
    // QQuickWindow::setGraphicsApi(QSGRendererInterface::OpenVG);
    return app->exec();
}
